import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

local party = Turbine.Gameplay.LocalPlayer:GetInstance():GetParty();

if party == nil then
	party = { };
	party.GetMemberCount = function() return 1; end;
	party.GetMember = function(i) return Turbine.Gameplay.LocalPlayer:GetInstance(); end;
end

if party ~= nil then
	local t = { };
	local member, effects, pet;

	for i = 1, party:GetMemberCount(), 1 do
		member = party:GetMember(i);
		effects = member:GetEffects();
		for i = 1, effects:GetCount(), 1 do
			table.insert(t, effects:Get(i):GetID());
		end
		pet = member:GetPet();
		if pet ~= nil then
			effects = pet:GetEffects();
			for i = 1, effects:GetCount(), 1 do
				table.insert(t, effects:Get(i):GetID());
			end
		end
	end
	Turbine.Shell.AddCommand("effects-" .. table.concat(t, "_"), Turbine.ShellCommand());
end